Skip to main content
GET
/
v1
/
orgs
/
{org_id}
/
knowledge
/
collections
/
{collection_id}
/
agents
Get Collection Agents
curl --request GET \
  --url https://api.letpiper.com/v1/orgs/{org_id}/knowledge/collections/{collection_id}/agents \
  --header 'Authorization: Bearer <token>'
{
  "accessMode": "all",
  "agentIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required
collection_id
string<uuid>
required

Response

Successful Response

Response showing which agents can access a collection.

accessMode
enum<string>
required

Whether all agents have access or only specific ones

Available options:
all,
specific
agentIds
string<uuid>[] | null

List of agent IDs with access (only present when access_mode is 'specific')